STRCSPN(3)

NAME
strcspn - span the complement of a string

LIBRARY
libc

SYNOPSIS
#include <string.h>
size_t
strcspn(const char *s1, const char *s2);

DESCRIPTION
The strcspn() function spans the initial part of the null-terminated string s1, as long as the characters from s1 do not occur in string s2 (it spans the complement of s2). In other words, it computes the string array index in s1 of the first character of s1 which is also in s2, else the index of the first null character.

RETURN VALUES
The strcspn() function returns the number of characters spanned.

SEE ALSO
memchr(3), strchr(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

STANDARDS
The strcspn() function conforms to isoC.